Index: trunk/src/ProcessManagement/ProcessManagement/Common/CommonDefine.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Common/CommonDefine.cs	(revision 5)
+++ trunk/src/ProcessManagement/ProcessManagement/Common/CommonDefine.cs	(revision 6)
@@ -171,18 +171,18 @@
         /// </summary>
         public static int s_MsgBoardSystemCode = 99999998;
         public static string s_MsgBoardSystemNameFormat = "{0}からの連絡";
-        
+
         /// <summary>
         /// メッセージ全員対象
         /// </summary>
         public static string s_AllMembersString = "全　　員";
         public static int s_AllMembersCode = 99999999;
-        
+
         /// <summary>
         /// 社長室コード（部署コード）
         /// </summary>
         public static int s_PresidentsOffice = 7;
-        
+
         /// <summary>
         /// 総務部コード（部署コード）
         /// </summary>
@@ -1107,6 +1107,12 @@
             /// </summary>
             Labor,
         }
+        /// <summary>
+        /// 協力業者支払区分
+        /// </summary>
+        public static List<KeyValuePair<int, string>> s_SubContractorKind = new List<KeyValuePair<int, string>>(){
+                                                                            new KeyValuePair<int,string>(0,"通　常　業　者"),
+                                                                            new KeyValuePair<int,string>(1,"手　間　業　者")};
         #endregion
 
         #region 工事詳細台帳：集計フラグ
@@ -1126,5 +1132,74 @@
         }
         #endregion
 
+        #region 15期以前の経費
+        public static List<KeyValuePair<string, double>> BeforeExpenses = new List<KeyValuePair<string, double>>{
+                                                                                new KeyValuePair<string, double>("会社経費", 8.0),
+                                                                                new KeyValuePair<string, double>("営業経費", 5.0),
+                                                                                new KeyValuePair<string, double>("各部署経費", 7.0)};
+
+        ///// <summary>
+        ///// 各所属部経費（7％）
+        ///// </summary>
+        //public static const double PartExpenses = 7.0;
+        ///// <summary>
+        ///// 事務所経費（8％）
+        ///// </summary>
+        //public static const double OfficeExpenes = 8.0;
+        ///// <summary>
+        ///// 営業経費（5％）
+        ///// </summary>
+        //public static const double SaleseExpenes = 5.0;
+        #endregion
+
+        #region 担当者選択区分
+        /// <summary>
+        /// 担当者選択区分
+        /// </summary>
+        public enum PersonSelectFlg
+        {
+            /// <summary>
+            /// 無
+            /// </summary>
+            None = 0,
+            /// <summary>
+            /// 工事担当者
+            /// </summary>
+            Creator,
+            /// <summary>
+            /// 副担当者
+            /// </summary>
+            Assistant,
+            /// <summary>
+            /// 指導員
+            /// </summary>
+            Instructor,
+        }
+        #endregion
+
+        #region 工事詳細台帳データ作成工事種別
+        /// <summary>
+        /// 工事詳細台帳データ作成工事種別
+        /// </summary>
+        public static int[] s_CreateLedgerData = new int[] { 6 };
+        #endregion
+
+        #region 工事基本情報：紐付データフラグ
+        public enum BaseInfoTyingFlg
+        {
+            /// <summary>
+            /// 0:独立データ
+            /// </summary>
+            Standard = 0,
+            /// <summary>
+            /// 1:親データ
+            /// </summary>
+            Pearent,
+            /// <summary>
+            /// 2:紐付きデータ
+            /// </summary>
+            Tying,
+        }
+        #endregion
     }
 }
Index: trunk/src/ProcessManagement/ProcessManagement/Common/CommonMotions.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Common/CommonMotions.cs	(revision 5)
+++ trunk/src/ProcessManagement/ProcessManagement/Common/CommonMotions.cs	(revision 6)
@@ -196,8 +196,7 @@
             }
             finally
             {
-                ocDB.close();
-                ocDB = null;
+                ocDB.close(); ocDB = null;
             }
         }
         #endregion
@@ -1672,7 +1671,7 @@
 
         #endregion
 
-        #region 特殊操作
+        #region 工事管理システム専用
         #region 営業期数より工事年を取得する
         /// <summary>
         /// 営業期数より工事年を取得する
@@ -2114,8 +2113,39 @@
             return (int)((double)timespan.Days / 30.436875);
         }
         #endregion
+
+        #region 工事種別より工事詳細台帳が作成ＯＫかどうかをチェックする
+        /// <summary>
+        /// 工事種別より工事詳細台帳が作成ＯＫかどうかをチェックする
+        /// </summary>
+        /// <param name="ConstructionType"></param>
+        /// <returns></returns>
+        public static bool CheckCreateLedgerData(int ConstructionStatusFlg, int ConstructionType)
+        {
+            try
+            {
+                bool ExcuteFlg = false;
+                int[] Status = new int[] { CommonDefine.ProjectsStatus.First(x => x.Value.Equals("営繕部継続工事")).Key };
+                for (int i = 0; i < CommonDefine.s_CreateLedgerData.Length; i++)
+                {
+                    if (ConstructionStatusFlg == Status[i] && ConstructionType == CommonDefine.s_CreateLedgerData[i])
+                    {
+                        ExcuteFlg = true;
+                        break;
+                    }
+                }
+                return ExcuteFlg;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+        }
         #endregion
 
+        #endregion
+
         #region Excel向け操作メソッド
         #region オブジェクト開放
         /// <summary>
Index: trunk/src/ProcessManagement/ProcessManagement/Common/Process/ClsApprovalPermission.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Common/Process/ClsApprovalPermission.cs	(revision 5)
+++ trunk/src/ProcessManagement/ProcessManagement/Common/Process/ClsApprovalPermission.cs	(revision 6)
@@ -98,6 +98,10 @@
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
                 return false;
             }
+            finally
+            {
+                ApprDB.close(); ApprDB = null;
+            }
         }
         #endregion
 
@@ -185,6 +189,7 @@
             try
             {
                 bool bApproval = false;
+                // 申請部署の取得
                 string strSQL = cbiDB.CreatePrimarykeyString(ConstructionCode);
                 ConstructionBaseInfo cbiData = new ConstructionBaseInfo();
                 if (!cbiDB.SelectAction(strSQL, ref cbiData)) return false;
@@ -363,10 +368,23 @@
         public static int GetFromConstructionAndApprovalTheDepartment(int ConstructionCode, int ApprovalCode)
         {
             IOMPersonInCharge picDB = new IOMPersonInCharge();
+            IOProcessApproval ApprovalDB = new IOProcessApproval();
             try
             {
                 // 管理担当者コードを取得する
-                int CurrentPersonCode = GetFromConstructionAndApprovalThePerson(ConstructionCode, ApprovalCode);
+                string strSQL = ApprovalDB.CreatePrimarykeyString(ConstructionCode, ApprovalCode);
+                strSQL += " AND SEQNO = 1";
+                ProcessApproval ApprovalRec = new ProcessApproval();
+                int CurrentPersonCode = 0;
+                if (ApprovalDB.SelectAction(strSQL, ref ApprovalRec))
+                {   // 申請データがある時はそのデータ
+                    CurrentPersonCode = ApprovalRec.PersonCode;
+                }
+                else
+                {
+                    // データが無い場合（申請時）はログインユーザー
+                    CurrentPersonCode = CommonMotions.LoginUserData.PersonCode;
+                }
 
                 // 担当者部署取得
                 PersonInChargeMaster PersonRec = new PersonInChargeMaster();
@@ -382,6 +400,7 @@
             }
             finally
             {
+                ApprovalDB.close(); ApprovalDB = null;
                 picDB.close(); picDB = null;
             }
         }
@@ -421,6 +440,10 @@
                 {
                     CurrentPersonCode = baseRec.ConstructionPersonCode;
                 }
+                else if (AppString.Equals("継続案件承認"))
+                {
+                    CurrentPersonCode = baseRec.ConstructionPersonCode;
+                }
                 else if (AppString.Equals("請求書承認"))
                 {
                     CurrentPersonCode = baseRec.ConstructionPersonCode;
Index: trunk/src/ProcessManagement/ProcessManagement/Common/Process/ClsCreateLedgerData.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Common/Process/ClsCreateLedgerData.cs	(revision 5)
+++ trunk/src/ProcessManagement/ProcessManagement/Common/Process/ClsCreateLedgerData.cs	(revision 6)
@@ -160,6 +160,8 @@
             finally
             {
                 CostDB.close(); CostDB = null;
+                LedgerDB.close(); LedgerDB = null;
+                LedgerDetailDB.close(); LedgerDetailDB = null;
                 LedgerExcuteDB.close(); LedgerExcuteDB = null;
             }
         }
@@ -325,13 +327,13 @@
         }
         #endregion
 
-        #region 工事詳細台帳データを作成する
+        #region 工事詳細台帳データを新規作成する
         /// <summary>
-        /// 工事予算書作成時等で工事詳細台帳データを作成する
+        /// 工事詳細台帳データを新規作成する
         /// </summary>
         /// <param name="ConstructionCode"></param>
         /// <returns></returns>
-        public static bool CreateLedgerData(int ConstructionCode)
+        public static bool MakingLedgerData(int ConstructionCode)
         {
             IOConstructionLedger LedgerDB = new IOConstructionLedger();
             FrmConstructionLedger frm = new FrmConstructionLedger();
@@ -350,15 +352,22 @@
                 frm.ConstructionCode = ConstructionCode;
 
                 // 見えない画面を出す
+                frm.WindowState = FormWindowState.Minimized;
                 frm.Show();
                 // フォーム非表示
                 frm.Visible = false;
 
                 // データ作成処理
-                if (!frm.CreateLedgerData) return false;
+                if (!frm.SaveLedgerData)
+                {
+                    frm.Close();                    // 画面を閉じる
+                    return false;
+                }
 
                 // 画面を閉じる
                 frm.Close();
+
+                return true;
             }
             catch (System.Exception ex)
             {
@@ -370,8 +379,77 @@
                 frm.Dispose(); frm = null;
                 LedgerDB.close(); LedgerDB = null;
             }
-            return true;
         }
         #endregion
+
+        #region 工事詳細台帳データに増減データを追加する
+        /// <summary>
+        /// 工事詳細台帳データに増減データを追加する
+        /// </summary>
+        /// <param name="ConstructionCode"></param>
+        /// <returns></returns>
+        public static bool AddingLedgerData(int ConstructionCode)
+        {
+            IOConstructionLink LinkDB = new IOConstructionLink();
+            IOConstructionLedger LedgerDB = new IOConstructionLedger();
+            FrmConstructionLedger frm = new FrmConstructionLedger();
+            try
+            {
+
+                // 工事番号が存在しないデータは更新しない
+                if (ConstructionCode == 0) return false;
+
+                // 親の工事を探す
+                string strParent = string.Format(" WHERE FluctuationCode = {0}", ConstructionCode);
+                ConstructionLink LinkRec = new ConstructionLink();
+                if (!LinkDB.SelectAction(strParent, ref LinkRec)) return false;
+
+                // 工事詳細台帳データが無い場合は処理しない
+                string strExists = LedgerDB.CreatePrimarykeyString(LinkRec.ConstructionCode);
+                ConstructionLedger LedgerList = new ConstructionLedger();
+                if (!LedgerDB.SelectAction(strExists, ref LedgerList)) return false;
+
+                // 工事コードのセット
+                frm.ConstructionCode = LinkRec.ConstructionCode;
+
+                // 見えない画面を出す
+                frm.WindowState = FormWindowState.Minimized;
+                frm.Show();
+                // フォーム非表示
+                frm.Visible = false;
+                
+                // データを追加する
+                frm.AddingConstrCode = ConstructionCode;
+                if (!frm.AddDataLedger)
+                {
+                    frm.Close();                    // 画面を閉じる
+                    return false;
+                }
+
+                // データ作成処理
+                if (!frm.SaveLedgerData)
+                {
+                    frm.Close();                    // 画面を閉じる
+                    return false;
+                }
+
+                // 画面を閉じる
+                frm.Close();
+
+                return true;
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+            finally
+            {
+                frm.Dispose(); frm = null;
+                LedgerDB.close(); LedgerDB = null;
+                LinkDB.close(); LinkDB = null;
+            }
+        }
+        #endregion
     }
 }
Index: trunk/src/ProcessManagement/ProcessManagement/Common/Process/ClsExcute.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Common/Process/ClsExcute.cs	(revision 5)
+++ trunk/src/ProcessManagement/ProcessManagement/Common/Process/ClsExcute.cs	(revision 6)
@@ -133,7 +133,7 @@
                                                                                 {10, "注文書－印刷"},
                                                                                 {12, "工事詳細台帳－入力"},
                                                                                 {13, "交通費及び購入品等－入力"},
-                                                                                {14, "日報－一覧"},
+                                                                                {14, "工事日報－一覧"},
                                                                                 {15, "工事日報－入力"},
                                                                                 };
 
@@ -219,9 +219,9 @@
                                                                     Color.DarkOrange,
                                                                     Color.IndianRed,
                                                                     Color.Gray,
-                                                                    Color.SlateGray,
                                                                     Color.Chartreuse,
                                                                     Color.SpringGreen,
+                                                                    Color.SlateGray,
                                                                     Color.LightSeaGreen,
                                                                     Color.SteelBlue,
                                                                     Color.LawnGreen,
Index: trunk/src/ProcessManagement/ProcessManagement/Common/Process/ClsProcessExist.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Common/Process/ClsProcessExist.cs	(revision 5)
+++ trunk/src/ProcessManagement/ProcessManagement/Common/Process/ClsProcessExist.cs	(revision 6)
@@ -67,89 +67,142 @@
 
         #endregion
 
-        #region 実行可能プロセスの一覧を取得する
+        #region 紐付きの場合は親コードを返す
         /// <summary>
-        /// 実行可能プロセスの一覧を取得する
+        /// 紐付きの場合は親コードを返す
         /// </summary>
-        /// <param name="ConctructionCode"></param>
-        public static void GetProcessList(ref List<KeyValuePair<int,string>> ProcList, int OperationPrcess)
+        /// <param name="MyType"></param>
+        /// <param name="MyCode"></param>
+        /// <returns></returns>
+        public static int GetParentConstrCode(int MyCode)
         {
-            // 0:メニューへ戻る
-            int MenuProcNo = (int)ClsExcute.ProcessExecuteNo.MainMenu;
-            string MenuProcName = "メニューへ戻る";
-            ProcList.Add(new KeyValuePair<int, string>(MenuProcNo, MenuProcName)); 
-            
-            // 2:工事情報入力データの存在確認
-            if (ExistBaseInfoData())
+            IOConstructionBaseInfo BaseDB = new IOConstructionBaseInfo();
+            IOConstructionLink LinkDB = new IOConstructionLink();
+            try
             {
-                int ProcNo = (int)ClsExcute.ProcessExecuteNo.ConstructionBaseInfo;
-                string ProcName = ClsExcute.ProcessExecuteName[ProcNo].Replace("－", "");
-                ProcList.Add(new KeyValuePair<int, string>(ProcNo, ProcName));
+
+                string strBase = BaseDB.CreatePrimarykeyString(MyCode);
+                ConstructionBaseInfo BaseRec = new ConstructionBaseInfo();
+                if (!BaseDB.SelectAction(strBase, ref BaseRec)) return MyCode;
+
+                // 紐付きでない場合は工事コードを返す
+                if (BaseRec.TyingFlg != (int)CommonDefine.BaseInfoTyingFlg.Tying) return MyCode;
+
+                string strLink = string.Format(" WHERE FluctuationCode = {0}", MyCode);
+                ConstructionLink LinkRec = new ConstructionLink();
+                if (!LinkDB.SelectAction(strLink, ref LinkRec)) return MyCode;
+
+                return LinkRec.ConstructionCode;
             }
-            // 3:積算見積書入力データ存在確認
-            if (ExistEstimateData(OperationPrcess))
+            catch (Exception ex)
             {
-                int ProcNo = (int)ClsExcute.ProcessExecuteNo.EstimateInput;
-                string ProcName = ClsExcute.ProcessExecuteName[ProcNo].Replace("－", "");
-                ProcList.Add(new KeyValuePair<int, string>(ProcNo, ProcName));
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return MyCode;
             }
-            // 4:積算見積書印刷データ存在確認
-            if (ExistEstimateDataPrint())
+            finally
             {
-                int ProcNo = (int)ClsExcute.ProcessExecuteNo.EstimatePrint;
-                string ProcName = ClsExcute.ProcessExecuteName[ProcNo].Replace("－", "");
-                ProcList.Add(new KeyValuePair<int, string>(ProcNo, ProcName));
+                BaseDB.close(); BaseDB = null;
+                LinkDB.close(); LinkDB = null;
             }
-            // 5:積算予算書入力データ存在確認
-            if (ExistEstimateBudget(OperationPrcess))
+        }
+        #endregion
+
+        #region 実行可能プロセスの一覧を取得する
+        /// <summary>
+        /// 実行可能プロセスの一覧を取得する
+        /// </summary>
+        /// <param name="ConctructionCode"></param>
+        public static void GetProcessList(ref List<KeyValuePair<int,string>> ProcList, int OperationPrcess)
+        {
+            try
             {
-                int ProcNo = (int)ClsExcute.ProcessExecuteNo.EstimateBudget;
-                string ProcName = ClsExcute.ProcessExecuteName[ProcNo].Replace("－", "");
-                ProcList.Add(new KeyValuePair<int, string>(ProcNo, ProcName));
+                // 0:メニューへ戻る
+                int MenuProcNo = (int)ClsExcute.ProcessExecuteNo.MainMenu;
+                string MenuProcName = "メニューへ戻る";
+                ProcList.Add(new KeyValuePair<int, string>(MenuProcNo, MenuProcName));
+
+                // 2:工事情報入力データの存在確認
+                if (ExistBaseInfoData())
+                {
+                    int ProcNo = (int)ClsExcute.ProcessExecuteNo.ConstructionBaseInfo;
+                    string ProcName = ClsExcute.ProcessExecuteName[ProcNo].Replace("－", "").Replace("入力", "");
+                    ProcList.Add(new KeyValuePair<int, string>(ProcNo, ProcName));
+                }
+                // 3:積算見積書入力データ存在確認
+                if (ExistEstimateData(OperationPrcess))
+                {
+                    int ProcNo = (int)ClsExcute.ProcessExecuteNo.EstimateInput;
+                    string ProcName = ClsExcute.ProcessExecuteName[ProcNo].Replace("－", "").Replace("入力", "");
+                    ProcList.Add(new KeyValuePair<int, string>(ProcNo, ProcName));
+                }
+                // 4:積算見積書印刷データ存在確認
+                if (ExistEstimateDataPrint())
+                {
+                    int ProcNo = (int)ClsExcute.ProcessExecuteNo.EstimatePrint;
+                    string ProcName = ClsExcute.ProcessExecuteName[ProcNo].Replace("－", "").Replace("入力", "");
+                    ProcList.Add(new KeyValuePair<int, string>(ProcNo, ProcName));
+                }
+                // 5:積算予算書入力データ存在確認
+                if (ExistEstimateBudget(OperationPrcess))
+                {
+                    int ProcNo = (int)ClsExcute.ProcessExecuteNo.EstimateBudget;
+                    string ProcName = ClsExcute.ProcessExecuteName[ProcNo].Replace("－", "").Replace("入力", "");
+                    ProcList.Add(new KeyValuePair<int, string>(ProcNo, ProcName));
+                }
+                // 6:工事予算書入力データ存在確認
+                if (ExistConstructionBudget())
+                {
+                    int ProcNo = (int)ClsExcute.ProcessExecuteNo.ConstructionBudget;
+                    string ProcName = ClsExcute.ProcessExecuteName[ProcNo].Replace("－", "").Replace("入力", "");
+                    ProcList.Add(new KeyValuePair<int, string>(ProcNo, ProcName));
+                }
+                // 8:工事案件コピー機能データ存在確認
+                if (ExistConstructionDataCopy())
+                {
+                    int ProcNo = (int)ClsExcute.ProcessExecuteNo.ConstructionCopyList;
+                    string ProcName = ClsExcute.ProcessExecuteName[ProcNo].Replace("－", "").Replace("入力", "");
+                    ProcList.Add(new KeyValuePair<int, string>(ProcNo, ProcName));
+                }
+                // 9:注文書入力データ存在確認
+                if (ExistPurchaseOrder())
+                {
+                    int ProcNo = (int)ClsExcute.ProcessExecuteNo.PurchaseOrderEntry;
+                    string ProcName = ClsExcute.ProcessExecuteName[ProcNo].Replace("－", "").Replace("入力", "");
+                    ProcList.Add(new KeyValuePair<int, string>(ProcNo, ProcName));
+                }
+                //10:注文書印刷データ存在確認
+                if (ExistPurchasePrint())
+                {
+                    int ProcNo = (int)ClsExcute.ProcessExecuteNo.PurchaseOrderPrint;
+                    string ProcName = ClsExcute.ProcessExecuteName[ProcNo].Replace("－", "").Replace("入力", "");
+                    ProcList.Add(new KeyValuePair<int, string>(ProcNo, ProcName));
+                }
+                // 12:工事詳細台帳
+                if (ExistConstructionLedger())
+                {
+                    int ProcNo = (int)ClsExcute.ProcessExecuteNo.ConstructionLedger;
+                    string ProcName = ClsExcute.ProcessExecuteName[ProcNo].Replace("－", "").Replace("入力", "");
+                    ProcList.Add(new KeyValuePair<int, string>(ProcNo, ProcName));
+                }
+                // 13:交通費及び購入品入力
+                if (ExistTAndPCosts())
+                {
+                    int ProcNo = (int)ClsExcute.ProcessExecuteNo.TAndPCosts;
+                    string ProcName = ClsExcute.ProcessExecuteName[ProcNo].Replace("－", "").Replace("入力", "");
+                    ProcList.Add(new KeyValuePair<int, string>(ProcNo, ProcName));
+                }
+                //// 15:日報一覧
+                //if (ExistDRConstruction())
+                //{
+                //    int ProcNo = (int)ClsExcute.ProcessExecuteNo.DRConstruction;
+                //    string ProcName = ClsExcute.ProcessExecuteName[ProcNo].Replace("－", "").Replace("入力", "");
+                //    ProcList.Add(new KeyValuePair<int, string>(ProcNo, ProcName));
+                //}
             }
-            // 6:工事予算書入力データ存在確認
-            if (ExistConstructionBudget())
+            catch (Exception ex)
             {
-                int ProcNo = (int)ClsExcute.ProcessExecuteNo.ConstructionBudget;
-                string ProcName = ClsExcute.ProcessExecuteName[ProcNo].Replace("－", "");
-                ProcList.Add(new KeyValuePair<int, string>(ProcNo, ProcName));
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
-            // 8:工事案件コピー機能データ存在確認
-            if (ExistConstructionDataCopy())
-            {
-                int ProcNo = (int)ClsExcute.ProcessExecuteNo.ConstructionCopyList;
-                string ProcName = ClsExcute.ProcessExecuteName[ProcNo].Replace("－", "");
-                ProcList.Add(new KeyValuePair<int, string>(ProcNo, ProcName));
-            }
-            // 9:注文書入力データ存在確認
-            if (ExistPurchaseOrder())
-            {
-                int ProcNo = (int)ClsExcute.ProcessExecuteNo.PurchaseOrderEntry;
-                string ProcName = ClsExcute.ProcessExecuteName[ProcNo].Replace("－", "");
-                ProcList.Add(new KeyValuePair<int, string>(ProcNo, ProcName));
-            }
-            //10:注文書印刷データ存在確認
-            if (ExistPurchasePrint())
-            {
-                int ProcNo = (int)ClsExcute.ProcessExecuteNo.PurchaseOrderPrint;
-                string ProcName = ClsExcute.ProcessExecuteName[ProcNo].Replace("－", "");
-                ProcList.Add(new KeyValuePair<int, string>(ProcNo, ProcName));
-            }
-            // 12:工事詳細台帳
-            if (ExistConstructionLedger())
-            {
-                int ProcNo = (int)ClsExcute.ProcessExecuteNo.ConstructionLedger;
-                string ProcName = ClsExcute.ProcessExecuteName[ProcNo].Replace("－", "");
-                ProcList.Add(new KeyValuePair<int, string>(ProcNo, ProcName));
-            }
-            // 13:交通費及び購入品入力
-            if (ExistTAndPCosts())
-            {
-                int ProcNo = (int)ClsExcute.ProcessExecuteNo.TAndPCosts;
-                string ProcName = ClsExcute.ProcessExecuteName[ProcNo].Replace("－", "");
-                ProcList.Add(new KeyValuePair<int, string>(ProcNo, ProcName));
-            }
-
         }
         #endregion
 
@@ -292,12 +345,19 @@
         /// <returns></returns>
         private static bool ExistConstructionBudget()
         {
+            IOConstructionBaseInfo BaseDB = new IOConstructionBaseInfo();
             IOEstimateData EstimateDB = new IOEstimateData();
             IOProcessApproval ApprovalDB = new IOProcessApproval();
             try
             {
+                // 工事担当者のセット
+                string strSQL = BaseDB.CreatePrimarykeyString(m_ConstructionCode);
+                strSQL += " AND CONSTRUCTIONPERSONCODE != 0";
+                ConstructionBaseInfo BaseRec = new ConstructionBaseInfo();
+                if (!BaseDB.SelectAction(strSQL, ref BaseRec)) return false;
+
                 // 見積書データの存在チェック
-                string strSQL = EstimateDB.CreatePrimarykeyString(m_ConstructionCode);
+                strSQL = EstimateDB.CreatePrimarykeyString(m_ConstructionCode);
                 List<EstimateData> EstimateList = new List<EstimateData>();
                 if (!EstimateDB.SelectAction(strSQL, ref EstimateList)) return false;
 
@@ -318,6 +378,7 @@
             {
                 EstimateDB.close(); EstimateDB = null;
                 ApprovalDB.close(); ApprovalDB = null;
+                BaseDB.close(); BaseDB = null;
             }
         }
         #endregion
@@ -440,18 +501,25 @@
         /// <returns></returns>
         private static bool ExistConstructionLedger()
         {
+            IOConstructionLedger LedgerDB = new IOConstructionLedger();
             IOConstructionBudget BudgetDB = new IOConstructionBudget();
             IOProcessApproval ApprovalDB = new IOProcessApproval();
             try
             {
                 // 工事詳細台帳データの存在チェック
-                string strSQL = BudgetDB.CreatePrimarykeyString(m_ConstructionCode);
-                ConstructionBudget BudgetList = new ConstructionBudget();
-                if (!BudgetDB.SelectAction(strSQL, ref BudgetList)) return false;
+                string strSQL = LedgerDB.CreatePrimarykeyString(m_ConstructionCode);
+                ConstructionLedger LedgerRec = new ConstructionLedger();
+                if (LedgerDB.SelectAction(strSQL, ref LedgerRec)) return true;
 
+                // 工事予算書データの存在チェック
+                strSQL = BudgetDB.CreatePrimarykeyString(m_ConstructionCode);
+                ConstructionBudget BudgetRec = new ConstructionBudget();
+                if (!BudgetDB.SelectAction(strSQL, ref BudgetRec)) return false;
+
                 // 承認データの確認
                 strSQL += string.Format(" AND APPROVALCODE = {0} AND SEQNO = 1", (int)ClsExcute.ApprovalListNo.ConstructionBudgetApproval);
                 strSQL += string.Format("  AND APPROVALSTATUS = {0}", (int)CommonDefine.ApprovalStatus.Approval);
+
                 ProcessApproval ApprovalRec = new ProcessApproval();
                 if (!ApprovalDB.SelectAction(strSQL, ref ApprovalRec)) return false;
 
@@ -464,6 +532,7 @@
             }
             finally
             {
+                LedgerDB.close(); LedgerDB = null;
                 BudgetDB.close(); BudgetDB = null;
                 ApprovalDB.close(); ApprovalDB = null;
             }
@@ -499,5 +568,33 @@
         }
         #endregion
 
+        #region 15:日報入力存在確認
+        /// <summary>
+        /// 15:日報入力存在確認
+        /// </summary>
+        /// <returns></returns>
+        private static bool ExistDRConstruction()
+        {
+            IOConstructionLedger LedgerDB = new IOConstructionLedger();
+            try
+            {
+                // 工事詳細台帳データの存在チェック
+                string strSQL = LedgerDB.CreatePrimarykeyString(m_ConstructionCode);
+                ConstructionLedger LedgerList = new ConstructionLedger();
+                if (!LedgerDB.SelectAction(strSQL, ref LedgerList)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+            finally
+            {
+                LedgerDB.close(); LedgerDB = null;
+            }
+        }
+        #endregion
     }
 }
